Bug 1499864 - rebase sbd for rhel-7.5
Summary: rebase sbd for rhel-7.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sbd
Version: 7.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 7.5
Assignee: Klaus Wenninger
QA Contact: cluster-qe@redhat.com
Steven J. Levine
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-09 13:50 UTC by Klaus Wenninger
Modified: 2019-03-06 02:02 UTC (History)
5 users (show)

Fixed In Version: sbd-1.3.1-1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
_sbd_ rebased to version 1.3.1 The _sbd_ package has been rebased to upstream version 1.3.1. This version brings the following changes: * Adds commands to test and query watchdog devices * Overhauls the command-line options and configuration file * Properly handles "off" actions instead of "reboot"
Clone Of:
Environment:
Last Closed: 2018-04-10 16:55:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0924 None None None 2018-04-10 16:56:11 UTC

Description Klaus Wenninger 2017-10-09 13:50:02 UTC
Description of problem:

SBD is not a super active upstream project but recently there had been
a couple of interesting changes (sbd on 2-node-clusters, proper behaviour
on watchdog set to poweroff, ...).
So it is much cleaner and easier to support to base on the 
upstream version and patch what we want differently instead of 
doing it the other way round.

Comment 3 Klaus Wenninger 2017-10-19 14:48:31 UTC
On top of the bugs mentioned just minor things like Manpage-fixes.
A lot of upstream changes affect scripts we are not packaging.

Others might have severe impact but usually won't trigger.
Fixes in handling of servant-names - like preventing duplicates of servants, false-positives in device matching if one device is a substring of the other.

There are 2 outstanding PRs that sound interesting.
A cleanup of the cmdline-switches that as well shouldn't affect our setups as we are using the environment-variables through pcs.
Have the cluster-servant check connectivity to corosync + get quorum from there directly - so that it would fail on quorum-loss right away instead of waiting for pacemaker-servant to fail indirectly.

Comment 6 Klaus Wenninger 2018-02-16 00:49:02 UTC
Steven:

Thanks I guess your edit is fine.
I had bluntly pasted in the release-note which in turn was very much inspired by the individual commit-messages.
Some of the changes coming in with the upstream-release we had already in 7.4 as extra patches. I didn't mention that extra. Do you think we should?

Comment 8 Klaus Wenninger 2018-02-16 07:28:00 UTC
Chris, Steven:

'Configurable' here means at build time!
If we go that route we would have to remove e.g. the fixes to sbd.sh as well which we don't package with RHEL.

Comment 9 Steven J. Levine 2018-02-16 17:19:35 UTC
I could add "at build time" to the bullet noted in comment 7.  Chris, would that address your concern?

Comment 10 Steven J. Levine 2018-02-16 17:29:59 UTC
Klaus:  Re, your question in Comment 6:  Are the changes ones that a user moving from 7.4 to 7.5 will care about?  That is, if they were in 7.4 patches my first guess is to say we probably don't need to include them here, but the point is really to let people know about things that could affect them with this release.

Comment 11 Klaus Wenninger 2018-02-19 13:56:22 UTC
Steven:

If we go with the definition to mention just what introduces changes visible to the rhel-7.5-user in comparison to rhel-7.4 we would stay with:

* Adds commands to test and query watchdog devices
* Overhauls the command-line options and configuration file
* Properly handles "off" actions instead of "reboot"

Everything else is either irrelevant for how we currently build sbd for rhel or it replaces rhel-patches by upstream-code (mostly 1-1 the same code).

Comment 13 Steven J. Levine 2018-02-19 19:18:27 UTC
Klaus:

I'll make those deletions, which is consistent with what Chris notes as well.

Comment 17 errata-xmlrpc 2018-04-10 16:55:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0924


Note You need to log in before you can comment on or make changes to this bug.